Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class BAD_TYPECODEHelper

    java.lang.Object
      |
      +--org.omg.CORBA.BAD_TYPECODEHelper

public class BAD_TYPECODEHelper
extends java.lang.Object

Helper class for : BAD_TYPECODE

Author:
  OpenORB Compiler

Constructor Summary
`BAD_TYPECODEHelper()`

Method Summary
`static BAD_TYPECODE` | `extract(Any a)` Extract BAD_TYPECODE from an any
`static java.lang.String` | `id()` Return the BAD_TYPECODE IDL ID
`static void` | `insert(Any a, BAD_TYPECODE t)` Insert BAD_TYPECODE into an any
`static BAD_TYPECODE` | `read(InputStream istream)` Read BAD_TYPECODE from a marshalled stream
`static TypeCode` | `type()` Return the BAD_TYPECODE TypeCode
`static void` | `write(OutputStream ostream, BAD_TYPECODE value)` Write BAD_TYPECODE into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BAD_TYPECODEHelper

    public BAD_TYPECODEHelper()

Method Detail

### insert

    public static void insert(Any a,
                              BAD_TYPECODE t)

  Insert BAD_TYPECODE into an any
  Parameters:
    `a` - an any
    `t` - BAD_TYPECODE value

### extract

    public static BAD_TYPECODE extract(Any a)

  Extract BAD_TYPECODE from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted BAD_TYPECODE value

### type

    public static TypeCode type()

  Return the BAD_TYPECODE TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the BAD_TYPECODE IDL ID
  Returns:
    an ID

### read

    public static BAD_TYPECODE read(InputStream istream)

  Read BAD_TYPECODE from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed BAD_TYPECODE value

### write

    public static void write(OutputStream ostream,
                             BAD_TYPECODE value)

  Write BAD_TYPECODE into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - BAD_TYPECODE value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD